Subject: Re: Mpc8315erdb openvpn segmentation fault

From: Scott Wood <[email-masked]>
Date: Tue, 8 Mar 2011 12:52:59 -0600

On Mon, 7 Mar 2011 20:28:32 -0800
Vasanth Ragavendran <[email-masked]> wrote:

> 
> Thanks a ton Scott. Actually i was working with the same version of the
> kernel on both the boards.
> it was 2.6.29.6. neither i changed the u-boot. it was the same in both.
> however i recompiled the kernel and i installed on both the boards and it
> worked fine! :) thanks again for responding. however i've another question.
> my filesystem in the board is non-persistent i.e. the files i create are
> erased after i reboot i know the files are getting stored in RAM and i wish
> to make them persistent. what do i need to do for this? should i create a
> separate partition in the flash and load certain files into that partition?
> or how should i make it persistent so that files stay beyond reboot! thanks
> again! eagerly awaiting your response.

Yes, you should create a filesystem (e.g. jffs2) on a flash partition.

-Scott